org.apache.cassandra.index.sasi.utils

## Enum AbstractIterator.State

- java.lang.Object
- - java.lang.Enum<AbstractIterator.State>
  - - org.apache.cassandra.index.sasi.utils.AbstractIterator.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AbstractIterator.State>

Enclosing class:
  AbstractIterator<T>

    protected static enum AbstractIterator.State
    extends java.lang.Enum<AbstractIterator.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DONE` We have reached the end of the data and are finished.
`FAILED` We've suffered an exception and are kaput.
`NOT_READY` We haven't yet computed or have already returned the element.
`READY` We have computed the next element and haven't returned it yet.

### Method Summary

All Methods Static Methods Concrete Methods
`static AbstractIterator.State` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AbstractIterator.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### READY

    public static final AbstractIterator.State READY

We have computed the next element and haven't returned it yet.

#### NOT_READY

    public static final AbstractIterator.State NOT_READY

We haven't yet computed or have already returned the element.

#### DONE

    public static final AbstractIterator.State DONE

We have reached the end of the data and are finished.

#### FAILED

    public static final AbstractIterator.State FAILED

We've suffered an exception and are kaput.

### Method Detail

#### values

    public static AbstractIterator.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbstractIterator.State c : AbstractIterator.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbstractIterator.State valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null